aboutsummaryrefslogtreecommitdiff
path: root/etc/rc.d/init.d/dbus
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d/init.d/dbus')
-rwxr-xr-xetc/rc.d/init.d/dbus66
1 files changed, 66 insertions, 0 deletions
diff --git a/etc/rc.d/init.d/dbus b/etc/rc.d/init.d/dbus
new file mode 100755
index 00000000..368deaf5
--- /dev/null
+++ b/etc/rc.d/init.d/dbus
@@ -0,0 +1,66 @@
+#!/bin/sh
+########################################################################
+# Begin dbus
+#
+# Description : Start dbus daemon
+#
+# Author : Bruce Dubbs - [email protected]
+#
+# Version : BLFS 7.0
+#
+########################################################################
+
+### BEGIN INIT INFO
+# Provides: dbus messagebus
+# Required-Start:
+# Should-Start: $syslog random
+# Required-Stop:
+# Should-Stop: $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Starts message bus.
+# Description: Starts message bus.
+# X-LFS-Provided-By: BLFS
+### END INIT INFO
+
+. /lib/lsb/init-functions
+
+#$LastChangedBy$
+#$Date$
+
+pidfile=/run/dbus/pid
+socket=/run/dbus/system_bus_socket
+
+case "$1" in
+ start)
+ log_info_msg "Starting the D-Bus Messagebus Daemon..."
+ mkdir -p /run/dbus
+ /usr/bin/dbus-uuidgen --ensure
+ start_daemon /usr/bin/dbus-daemon --system
+ evaluate_retval
+ ;;
+
+ stop)
+ log_info_msg "Stopping the D-Bus Messagebus Daemon..."
+ killproc /usr/bin/dbus-daemon
+ evaluate_retval
+ rm -f $socket $pidfile
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ status)
+ statusproc /usr/bin/dbus-daemon
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|restart|status}"
+ exit 1
+ ;;
+esac
+
+# End /etc/init.d/dbus